Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Service Metadata Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## bea.com/loc/metadata
complexType jvmInstanceType

    {http://www.w3.org/2001/XMLSchema}anyType
        {bea.com/loc/metadata}jvmInstanceType

Model
  `<...>
  name, description?, max-copies?, variables?, main-class | main-jar, ready-information?, jvm-args?, java-args?, native-lib-dir?, instance-dir?, native-jmx?, protocol?, host?, port?, username?, password?, jmx-service-url?, ssh-enabled?, wait-for-ssh?, priority?, copies-at-create?, copies-at-shutdown?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: metadataInstancesType/jvm-instance, metadataInstancesType/jvm-instance

Documentation

      Information used to start a JVM instance.

Nested Element Summary
`string` | `name` The name of this instance
`string` | `description` optional A description of this instance.
`string` | `max-copies` optional The maximum number of copies of this instance that can be created.
`variablesType` | `variables` optional Variables used for substitution in other elements within this type.
choice |
`string` | `main-class` The main class used to start the instance.
`string` | `main-jar` A jar file with a main class used to start the instance.
`readyInformationType` | `ready-information` optional Information used to define when the managed instance has come up.
`argumentsType` | `jvm-args` optional Arguments passed to the JVM when it is started
`argumentsType` | `java-args` optional Arguments passed to the main method.
`string` | `native-lib-dir` optional A path to native libraries used by the application running in the jvm.
`string` | `instance-dir` optional The directory from which the JVM is launched
`boolean` | `native-jmx` optional indicates whether native (true) or WLS JMX (false) is used
`string` | `protocol` optional for WebLogicServer instance, the protocol for the administration channel
`string` | `host` optional for WebLogicServer instance, the host address of the server
`string` | `port` optional for WebLogicServer instance, the listen port used for administration.
`string` | `username` optional for WebLogicServer instance, the username of the administrator.
`string` | `password` optional for WebLogicServer instance, the password of the administrator.
`string` | `jmx-service-url` optional For generic JVMs this specifies a JMX Service URL to use for harvesting.
`boolean` | `ssh-enabled` optional Defines whether SSH is enabled in the LiquidVM
`boolean` | `wait-for-ssh` optional If true, instance start will wait until the ssh service on the LiquidVM is running before starting the application.
`nonNegativeInteger` | `priority` optional In the case where there are multiple instances of one type, this defines the order in which individual instances are started.
`fileCopiesType` | `copies-at-create` optional Files that will be copied on when the VM is created.
`fileCopiesType` | `copies-at-shutdown` optional Files that will be copied on first shutdown.

Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Service Metadata Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 10.3